## phybin 0.3

=== Makefile ===



default: haskell

all: find_tree_matches.exe haskell

# GHC=ghc-7.4.2
GHC=ghc-7.6.3

release: haskell
	upx phybin.exe
	du -h phybin.exe

haskell:
	cabal configure
	cabal build
	cp ./dist/build/phybin/phybin phybin.exe
	du -h phybin.exe
	strip phybin.exe
	du -h phybin.exe

win:
	$(GHC) -DWIN32 --make Main.hs -o phybin.exe

find_tree_matches.exe: find_tree_matches.ss
	mzc --exe find_tree_matches.exe find_tree_matches.ss

clean:
	rm -f phybin *.exe *.hi *.o Bio/Phylogeny/PhyBin/*.o Bio/Phylogeny/PhyBin/*.hi

################################################################################

#launch: clean release doc distro push upload
launch: doc distro push upload

doc:
	pandoc -s -S --toc -c website.css README.md -o website/index.html

release_website:
	cp website/* ~/.hyplan/projects/phybin/

distro:
	cabal sdist
	cp -v dist/*.tar.gz website/

# HASKELLSRV=haskell.intel
HASKELLSRV=community.haskell.org


################################################################################
# Collecting shortcuts for running different datasets:


# LOCALSETS=~/newton_and_newton_local/datasets
LOCALSETS=.

rhizobia:
	rm -rf $(LOCALSETS)/rhizobia/phybin_outputs
	mkdir $(LOCALSETS)/rhizobia/phybin_outputs
	./phybin.exe $(LOCALSETS)/rhizobia/gde/*.dnd -o $(LOCALSETS)/rhizobia/phybin_output/ -p 2 -n 7 -g -v 

#yersinia_test_names:
#	./phybin.exe -w ~/newton_and_newton_local/datasets/yersinia/yersinia_trees/111.dnd -s .  -m ../datasets/yersinia/name_table_hack_yersinia.txt 

yersinia:
	rm -rf $(LOCALSETS)/yersinia/phybin_outputs
	mkdir  $(LOCALSETS)/yersinia/phybin_outputs
	./phybin.exe $(LOCALSETS)/yersinia/yersinia_trees/ -o $(LOCALSETS)/yersinia/phybin_outputs/ -m ../datasets/yersinia/name_table_hack_yersinia.txt -s . -n 9 -g

legionella:
	rm -rf $(LOCALSETS)/legionella/phybin_outputs
	mkdir  $(LOCALSETS)/legionella/phybin_outputs
	./phybin.exe $(LOCALSETS)/legionella/legionella_orthologs_aa/ -o $(LOCALSETS)/legionella/phybin_outputs/ -m ../datasets/legionella/name_table_hack_legionella.txt -s 0123456789 -n 4 -g



# Newer ones [2012.11.19]:
newbatch: rickettsia rickettsiales wolbachia

# BRANCHTHRESH=0.01
BRANCHTHRESH=0.05
PHYBIN= ./phybin.exe -b $(BRANCHTHRESH) -g

#------------------------------------------------------------
rickettsia:    $(LOCALSETS)/Rickettsia/renaming_table.txt
	rm -rf $(LOCALSETS)/Rickettsia/phybin_outputs
	mkdir  $(LOCALSETS)/Rickettsia/phybin_outputs
	$(PHYBIN) -n 15 -m $(LOCALSETS)/Rickettsia/renaming_table.txt -s '_'  -o $(LOCALSETS)/Rickettsia/phybin_output/ $(LOCALSETS)/Rickettsia/final_trees/*BranchLab*.out 

$(LOCALSETS)/Rickettsia/renaming_table.txt: $(LOCALSETS)/Rickettsia/Rickettsia_orthololgs.txt
	runghc stripTable.hs $^ > $@

#------------------------------------------------------------
rickettsiales: $(LOCALSETS)/Rickettsiales/renaming_table.txt
	rm -rf $(LOCALSETS)/Rickettsiales/phybin_outputs
	mkdir  $(LOCALSETS)/Rickettsiales/phybin_outputs
	$(PHYBIN) -n 29 -m $(LOCALSETS)/Rickettsiales/renaming_table.txt -s '_'  -o $(LOCALSETS)/Rickettsiales/phybin_output/ $(LOCALSETS)/Rickettsiales/final_trees/*BranchLab*.out 

$(LOCALSETS)/Rickettsiales/renaming_table.txt: $(LOCALSETS)/Rickettsiales/Rickettsiales_orthologs.txt
	runghc stripTable.hs $^ > $@

#------------------------------------------------------------
wolbachia:     $(LOCALSETS)/Wolbachia/renaming_table.txt
	rm -rf $(LOCALSETS)/Wolbachia/phybin_outputs
	mkdir  $(LOCALSETS)/Wolbachia/phybin_outputs
	$(PHYBIN) -n 4 -m $(LOCALSETS)/Wolbachia/renaming_table.txt -s '_'  -o $(LOCALSETS)/Wolbachia/phybin_output/ $(LOCALSETS)/Wolbachia/final_trees/*BranchLab*.out 

$(LOCALSETS)/Wolbachia/renaming_table.txt: $(LOCALSETS)/Wolbachia/Wolbachia_orthologs.txt
	runghc stripTable.hs $^ > $@



vary_branchlen: $(LOCALSETS)/Rickettsia/renaming_table.txt $(LOCALSETS)/Rickettsiales/renaming_table.txt $(LOCALSETS)/Wolbachia/renaming_table.txt
	./vary_branchlen.sh 15 Rickettsia
	./vary_branchlen.sh 29 Rickettsiales
	./vary_branchlen.sh  4 Wolbachia

temp:
	./phybin.exe ~/newton_and_newton_local/datasets/rhizobia/gde/*.dnd -o temp -p 2 -n 7

=== debian/changelog ===
phybin (0.3-6) unstable; urgency=medium

  * Team Upload.
  * Add patch to switch test deps from framework -> tasty.
  * B-D on tasty related packages instead of framework.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 11:19:03 +0530

phybin (0.3-5) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtests (Closes: #970301)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 25 Jan 2021 20:00:10 +0530

phybin (0.3-4) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Remain debhelper compat 11 due to constraints in haskell build
    system
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2020 17:31:02 +0100

phybin (0.3-3) unstable; urgency=medium

  * Add hint to Github in watch file
  * Add patch to build with ghc-8.6 (Thanks to Joachim Breitner
    <nomeata@debian.org>)
    Closes: #916800
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Wed, 19 Dec 2018 21:52:54 +0100

phybin (0.3-2) unstable; urgency=medium

  * debhelper 10
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jul 2018 11:32:16 +0200

phybin (0.3-1) unstable; urgency=low

  * Initial release (Closes: #808326)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2015 21:26:19 +0100

=== debian/control ===
Source: phybin
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               haskell-devscripts,
               cdbs,
               ghc,
               libghc-hunit-dev,
               libghc-async-dev,
               libghc-fgl-dev,
               libghc-graphviz-dev,
               libghc-hierarchical-clustering-dev,
               libghc-parsec3-dev,
               libghc-prettyclass-dev,
               libghc-split-dev,
               libghc-text-dev,
               libghc-vector-dev,
               libghc-tasty-dev,
               libghc-tasty-hunit-dev,
               libghc-tasty-th-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/phybin
Vcs-Git: https://salsa.debian.org/med-team/phybin.git
Homepage: https://www.cs.indiana.edu/~rrnewton/projects/phybin/
Rules-Requires-Root: no

Package: phybin
Architecture: any
Depends: ${haskell:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Conflicts: ${haskell:Conflicts}
Provides: ${haskell:Provides}
Description: binning/clustering newick trees by topology
 PhyBin is a simple command line tool that classifies a set of Newick
 tree files by their topology. The purpose of it is to take a large set
 of tree files and browse through the most common tree topologies.
 .
 It can do simple binning of identical trees or more complex clustering
 based on an all-to-all Robinson-Foulds distance matrix.
 .
 phybin produces output files that characterize the size and contents of
 each bin or cluster (including generating GraphViz-based visual
 representations of the tree topologies).

=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = yes
DEB_CABAL_PACKAGE = phybin
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

build/phybin:: build-ghc-stamp
